Bug 1421019 - platform-linux: kernel support for IFLA_INET6_ADDR_GEN_M ODE failed to detect; assume no support
Summary: platform-linux: kernel support for IFLA_INET6_ADDR_GEN_M ODE failed to detect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 06:31 UTC by Zeng Yiquan
Modified: 2019-01-08 06:15 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:22:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Zeng Yiquan 2017-02-10 06:31:21 UTC
Description of problem:

Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1343] Loaded device plugin: NMWifiFactory (/usr/lib64/NetworkM
anager/libnm-device-plugin-wifi.so)
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1368] Loaded device plugin: NMTeamFactory (/usr/lib64/NetworkM
anager/libnm-device-plugin-team.so)
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1380] Loaded device plugin: NMAtmManager (/usr/lib64/NetworkMa
nager/libnm-device-plugin-adsl.so)
Feb 10 14:09:08 R72 NetworkManager[1127]: <warn>  [1486706948.1405] platform-linux: kernel support for IFLA_INET6_ADDR_GEN_M
ODE failed to detect; assume no support
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1406] device (lo): link connected
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1443] manager: (lo): new Generic device (/org/freedesktop/Netw
orkManager/Devices/0)
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1479] manager: (eno16777736): new Ethernet device (/org/freede
sktop/NetworkManager/Devices/1)
Feb 10 14:09:08 R72 nm-dispatcher: req:1 'hostname': new request (4 scripts)
Feb 10 14:09:08 R72 nm-dispatcher: req:1 'hostname': start running ordered scripts...
Feb 10 14:09:08 R72 NetworkManager[1127]: <info>  [1486706948.1541] device (eno16777736): state change: unmanaged -> unavail
able (reason 'managed') [10 20 2]

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Disable IPv6 follow below KCS:
https://access.redhat.com/solutions/8709

On RHEL7.2, I take action as below:

# vim /etc/default/grub
GRUB_CMDLINE_LINUX="crashkernel=auto rd.lvm.lv=rhel/root rd.lvm.lv=rhel/swap rhgb quiet ipv6.disable=1"
# grub2-mkconfig -o /boot/grub2/grub.cfg
# reboot

2. Update NetworkManager

# yum update NetworkManager

3. then we'll see the error message in /var/log/message

Actual results:

We'll see the error as the bug title.

Expected results:


Additional info:

Comment 2 Thomas Haller 2017-02-10 14:15:56 UTC
it's just a warning, not an error. It can be safely ignored.

does it cause any problems?


Fixed upstream by https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=6b03eacb348d2d8266b17be15bacbdaf7737e2e5

Comment 4 errata-xmlrpc 2017-08-01 09:22:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.